Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::addon::pdf3d::ModelNode Class Reference
Inheritance diagram for foxit::addon::pdf3d::ModelNode:

## Public Types
enum | PDF3DModelNodeType { e_TypeModelRoot = 0, e_TypeGroup = 1, e_TypeMesh = 2, e_TypeSprite = 3, e_TypeMarkup = 4, e_TypePunctualLight = 5, e_TypeAmbientLight = 6, e_TypeViewCamera = 7, e_TypeClippingPlane = 8, e_TypeProcedural = 9, e_TypeBone = 10, e_TypeDummy = 11 }
| Enumeration for the 3D model node type. More...

## Public Member Functions
| ModelNode ()
| Constructor.
| ModelNode (const ModelNode &other)
| Constructor, with another model node object. More...
| ~ModelNode ()
| Destructor.
ModelNode | GetFirstChildNode ()
| Get the first child node of current node. More...
WString | GetName ()
| Get the name of current node. More...
ModelNode | GetNextSiblingNode ()
| Get the next sibling node of current node. More...
PDF3DModelNodeType | GetNodeType ()
| Get the type of the node. More...
ModelNode | GetParentNode ()
| Get the parent node of current node. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | IsVisible ()
| Check whether current node is visible or not. More...
bool | operator!= (const ModelNode &other) const
| Not equal operator. More...
ModelNode & | operator= (const ModelNode &other)
| Assign operator. More...
bool | operator== (const ModelNode &other) const
| Equal operator. More...
void | SetVisible (bool is_visible)
| Set the visibility of current node. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents a node in the 3D model tree structure.

See also
  PDF3DAnnotInstance

## Member Enumeration Documentation

## ◆ PDF3DModelNodeType

enum foxit::addon::pdf3d::ModelNode::PDF3DModelNodeType

Enumeration for the 3D model node type.

Values of this enumeration should be used alone.

Enumerator
e_TypeModelRoot | Model root.
e_TypeGroup | Group.
e_TypeMesh | Mesh.
e_TypeSprite | Sprite.
e_TypeMarkup | Markup.
e_TypePunctualLight | Punctual light.
e_TypeAmbientLight | Ambient light.
e_TypeViewCamera | View camera.
e_TypeClippingPlane | Clipping plane.
e_TypeProcedural | Procedural.
e_TypeBone | Bone.
e_TypeDummy | Dummy.

## Constructor & Destructor Documentation

## ◆ ModelNode()

foxit::addon::pdf3d::ModelNode::ModelNode | ( | const ModelNode & | other | ) |

Constructor, with another model node object.

Parameters

  [in] | other | Another model node object.

## Member Function Documentation

## ◆ GetFirstChildNode()

ModelNode foxit::addon::pdf3d::ModelNode::GetFirstChildNode | ( |  | ) |

Get the first child node of current node.

Returns
  The first child node of current node. If there is no child node, an empty object will be returned.

## ◆ GetName()

WString foxit::addon::pdf3d::ModelNode::GetName | ( |  | ) |

Get the name of current node.

Returns
  The name of current node.

## ◆ GetNextSiblingNode()

ModelNode foxit::addon::pdf3d::ModelNode::GetNextSiblingNode | ( |  | ) |

Get the next sibling node of current node.

Returns
  The next sibling node of current node. If there is no next sibling node, an empty object will be returned.

## ◆ GetNodeType()

PDF3DModelNodeType foxit::addon::pdf3d::ModelNode::GetNodeType | ( |  | ) |

Get the type of the node.

Returns
  The type of the node. Please refer to values starting from ModelNode::e_TypeModelRoot and this will be one of these values.

## ◆ GetParentNode()

ModelNode foxit::addon::pdf3d::ModelNode::GetParentNode | ( |  | ) |

Get the parent node of current node.

Returns
  The parent node of current node. If there is no parent node, an empty object will be returned.

## ◆ IsEmpty()

bool foxit::addon::pdf3d::ModelNode::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

bool foxit::addon::pdf3d::ModelNode::IsVisible | ( |  | ) |

Check whether current node is visible or not.

Returns
  true means current node is visible, while false means invisible.

## ◆ operator!=()

bool foxit::addon::pdf3d::ModelNode::operator!= | ( | const ModelNode & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another model node object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

ModelNode& foxit::addon::pdf3d::ModelNode::operator= | ( | const ModelNode & | other | ) |

Assign operator.

Parameters

  [in] | other | Another model node object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::pdf3d::ModelNode::operator== | ( | const ModelNode & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another model node object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetVisible()

void foxit::addon::pdf3d::ModelNode::SetVisible | ( | bool | is_visible | ) |

Set the visibility of current node.

Parameters

  [in] | is_visible | A boolean value used to set the visibility of current node. true means visible, while false means invisible.

Returns
  None.